## ros-melodic-fuse-viz 0.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(fuse_viz)

set(build_depends
  fuse_constraints
  fuse_core
  fuse_msgs
  fuse_variables
  geometry_msgs
  rviz
  tf2_geometry_msgs
)

find_package(catkin REQUIRED COMPONENTS
  ${build_depends}
)

find_package(Boost REQUIRED)
find_package(Eigen3 REQUIRED)

find_package(Qt5 COMPONENTS Core Widgets REQUIRED)
set(QT_INCLUDE_DIRS
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Widgets_INCLUDE_DIRS}
)
set(QT_LIBRARIES
  ${Qt5Core_LIBRARIES}
  ${Qt5Widgets_LIBRARIES}
)

add_definitions(-DQT_NO_KEYWORDS)

###########
## Build ##
###########
add_compile_options(-Wall -Werror)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
    ${build_depends}
  DEPENDS
    Boost
    EIGEN3
    QT
)

qt5_wrap_cpp(moc_files
  include/fuse_viz/mapped_covariance_property.h
  include/fuse_viz/pose_2d_stamped_property.h
  include/fuse_viz/relative_pose_2d_stamped_constraint_property.h
  include/fuse_viz/serialized_graph_display.h
)

set(source_files
  src/mapped_covariance_property.cpp
  src/mapped_covariance_visual.cpp
  src/pose_2d_stamped_property.cpp
  src/pose_2d_stamped_visual.cpp
  src/relative_pose_2d_stamped_constraint_property.cpp
  src/relative_pose_2d_stamped_constraint_visual.cpp
  src/serialized_graph_display.cpp
  ${moc_files}
)

add_library(${PROJECT_NAME}
  ${source_files}
)
add_dependencies(${PROJECT_NAME}
  ${catkin_EXPORTED_TARGETS}
)
target_include_directories(${PROJECT_NAME}
  PUBLIC
    include
    ${Boost_INCLUDE_DIRS}
    ${catkin_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIRS}
    ${QT_INCLUDE_DIRS}
)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${QT_LIBRARIES}
)
set_target_properties(${PROJECT_NAME}
  PROPERTIES
    CXX_STANDARD 14
    CXX_STANDARD_REQUIRED YES
)

#############
## Install ##
#############

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(
  FILES rviz_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)

  # Lint tests
  set(ROSLINT_CPP_OPTS "--filter=-build/c++11,-runtime/references")
  roslint_cpp()
  roslint_add_test()
endif()

=== debian/changelog ===
ros-melodic-fuse-viz (0.4.2-1bionic) bionic; urgency=high

  * Adding roslint dependency to fuse_viz (#231 <https://github.com/locusrobotics/fuse/issues/231>)
    * Adding roslint dependency to fuse_viz
    * Silence CMP0048 warnings
  * Contributors: Tom Moore

 -- Enrique Fernandez <efernandez@clearpath.ai>  Mon, 19 Jul 2021 23:00:00 -0000

ros-melodic-fuse-viz (0.4.1-1bionic) bionic; urgency=high

  * Changelogs
  * Adding QT5 dependency in package.xml (#229 <https://github.com/locusrobotics/fuse/issues/229>)
    * Adding QT5 dependency in package.xml
    * Fixing viz build issues in noetic (#230 <https://github.com/locusrobotics/fuse/issues/230>)
  * Fixed compile error when using the latest version of rviz (#220 <https://github.com/locusrobotics/fuse/issues/220>)
  * Fix roslint 0.12.0 (#186 <https://github.com/locusrobotics/fuse/issues/186>)
    * Fix roslint 0.12.0 include_what_you_use warnings
    Mostly for:
    * std::move -> #include <utility>
    * std::make_shared and similar -> #include <memory>
    * Remove static string variable not permitted by roslint 0.12.0, using a test fixture where needed.
  * Replace ignition_sensors list param with ignition field (#163 <https://github.com/locusrobotics/fuse/issues/163>)
    * Remove ignition_sensors param and use a per-sensor ignition field
  * Keep constraint properties sorted by source (#161 <https://github.com/locusrobotics/fuse/issues/161>)
  * Visualize loss (#144 <https://github.com/locusrobotics/fuse/issues/144>)
    * Visualize error scaled by loss cost factor
    If a constraint has a loss function, the cost is computed with and
    without loss, and the quotient of the cost with loss by the cost without
    loss is used to scale the error line. This is used to draw a "loss"
    error line, so we can see the contribution of the loss function to the
    constraint.
  * Set QT_INCLUDE_DIRS and QT_LIBRARIES properly (#153 <https://github.com/locusrobotics/fuse/issues/153>)
  * Removed the explicit '-std=c++14' compile flag (#119 <https://github.com/locusrobotics/fuse/issues/119>)
    * Removed the explicit '-std=c++14' compile flag
    * Changed the CXX_STANDARD setting to be per-target instead of global
    * Added the CXX_STANDARD_REQUIRED setting to all targets
  * Draw RelativePose2DStampedConstraint constraints (#107 <https://github.com/locusrobotics/fuse/issues/107>)
    * Draw RelativePose2DStampedConstraint constraints
    * Dynamically generate display properties for the constraint sources
    * Cache the constraint sources properties config so it's applied when
    the properties are later created
    * Create Variable visual + property, as we do for the Constraint
  * fix compilation in Kinetic (#112 <https://github.com/locusrobotics/fuse/issues/112>)
  * Add fuse_viz pkg with rviz SerializedGraph display (#99 <https://github.com/locusrobotics/fuse/issues/99>)
  * Contributors: Davide Faconti, Enrique Fernandez Perdomo, Stephen Williams, Tom Moore
  * Adding QT5 dependency in package.xml (#229 <https://github.com/locusrobotics/fuse/issues/229>)
    * Adding QT5 dependency in package.xml
    * Fixing viz build issues in noetic (#230 <https://github.com/locusrobotics/fuse/issues/230>)
  * Fixed compile error when using the latest version of rviz (#220 <https://github.com/locusrobotics/fuse/issues/220>)
  * Fix roslint 0.12.0 (#186 <https://github.com/locusrobotics/fuse/issues/186>)
    * Fix roslint 0.12.0 include_what_you_use warnings
    Mostly for:
    * std::move -> #include <utility>
    * std::make_shared and similar -> #include <memory>
    * Remove static string variable not permitted by roslint 0.12.0, using a test fixture where needed.
  * Replace ignition_sensors list param with ignition field (#163 <https://github.com/locusrobotics/fuse/issues/163>)
    * Remove ignition_sensors param and use a per-sensor ignition field
  * Keep constraint properties sorted by source (#161 <https://github.com/locusrobotics/fuse/issues/161>)
  * Visualize loss (#144 <https://github.com/locusrobotics/fuse/issues/144>)
    * Visualize error scaled by loss cost factor
    If a constraint has a loss function, the cost is computed with and
    without loss, and the quotient of the cost with loss by the cost without
    loss is used to scale the error line. This is used to draw a "loss"
    error line, so we can see the contribution of the loss function to the
    constraint.
  * Set QT_INCLUDE_DIRS and QT_LIBRARIES properly (#153 <https://github.com/locusrobotics/fuse/issues/153>)
  * Removed the explicit '-std=c++14' compile flag (#119 <https://github.com/locusrobotics/fuse/issues/119>)
    * Removed the explicit '-std=c++14' compile flag
    * Changed the CXX_STANDARD setting to be per-target instead of global
    * Added the CXX_STANDARD_REQUIRED setting to all targets
  * Draw RelativePose2DStampedConstraint constraints (#107 <https://github.com/locusrobotics/fuse/issues/107>)
    * Draw RelativePose2DStampedConstraint constraints
    * Dynamically generate display properties for the constraint sources
    * Cache the constraint sources properties config so it's applied when
    the properties are later created
    * Create Variable visual + property, as we do for the Constraint
  * fix compilation in Kinetic (#112 <https://github.com/locusrobotics/fuse/issues/112>)
  * Add fuse_viz pkg with rviz SerializedGraph display (#99 <https://github.com/locusrobotics/fuse/issues/99>)
  * Contributors: Davide Faconti, Enrique Fernandez Perdomo, Stephen Williams, Tom Moore

 -- Enrique Fernandez <efernandez@clearpath.ai>  Mon, 12 Jul 2021 23:00:00 -0000

ros-melodic-fuse-viz (0.4.0-1bionic) bionic; urgency=high



 -- Enrique Fernandez <efernandez@clearpath.ai>  Thu, 11 Jul 2019 23:00:00 -0000

ros-melodic-fuse-viz (0.3.0-1bionic) bionic; urgency=high



 -- Enrique Fernandez <efernandez@clearpath.ai>  Mon, 18 Mar 2019 00:00:00 -0000

ros-melodic-fuse-viz (0.2.0-1bionic) bionic; urgency=high





=== debian/control ===
Source: ros-melodic-fuse-viz
Section: misc
Priority: optional
Maintainer: Enrique Fernandez <efernandez@clearpath.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, qtbase5-dev, ros-melodic-catkin, ros-melodic-fuse-constraints, ros-melodic-fuse-core, ros-melodic-fuse-msgs, ros-melodic-fuse-variables, ros-melodic-geometry-msgs, ros-melodic-roslint, ros-melodic-rviz, ros-melodic-tf2-geometry-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-fuse-viz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-melodic-fuse-constraints, ros-melodic-fuse-core, ros-melodic-fuse-msgs, ros-melodic-fuse-variables, ros-melodic-geometry-msgs, ros-melodic-rviz, ros-melodic-tf2-geometry-msgs
Description: The fuse_viz package provides visualization tools for fuse.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG -O3

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-fuse-viz//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
